import 'package:mohem_flutter_app/theme/colors.dart';
import 'package:mohem_flutter_app/utils/navigator.dart';
import 'package:mohem_flutter_app/utils/utils.dart';
import 'package:mohem_flutter_app/widgets/show_fill_button.dart';
import 'package:mohem_flutter_app/widgets/txt.dart';
import 'package:flutter/material.dart';

class OtpDialog extends StatelessWidget {
  VoidCallback onClick;

  OtpDialog({required this.onClick});

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      padding: EdgeInsets.all(30),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Txt(
            "Please insert OTP Code",
            txtType: TxtType.heading3,
          ),
          mHeight(20),
          Row(
            children: [
              Expanded(
                child: Container(
                  width: double.infinity,
                  height: 60,
                  color: accentColor.withOpacity(0.3),
                ),
              ),
              mWidth(12),
              Expanded(
                child: Container(
                  width: double.infinity,
                  height: 60,
                  color: accentColor.withOpacity(0.3),
                ),
              ),
              mWidth(12),
              Expanded(
                child: Container(
                  width: double.infinity,
                  height: 60,
                  color: accentColor.withOpacity(0.3),
                ),
              ),
              mWidth(12),
              Expanded(
                child: Container(
                  width: double.infinity,
                  height: 60,
                  color: accentColor.withOpacity(0.3),
                ),
              ),
            ],
          ),
          mHeight(40),
          ShowFillButton(
            title: "Check Code",
            width: double.infinity,
            onPressed: () {
              onClick();
            },
          )
        ],
      ),
    );
  }
}
